First time trying to upgrade a plugin. -- Error is: "You do

Hello,

First time trying to upgrade a plugin.

-- Error is:
"You do not have sufficient permissions to access this page."

-- Do have WPMU DEV Dashboard installed.
-- Did login to WPMU website.
-- The Support menu does show two plugins with the 'Subscribe for Email' plugin having an update available.
Clicking the auto upgrade fails with the above permission error.

Thanks,
David